%define module	SVN-Notify-Config
%define name	perl-%{module}
%define version	0.08
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Config-driven Subversion notification
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-SVN-Notify
BuildRequires:	perl-YAML
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is a YAML-based configuration wrapper on SVN::Notify.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make

%check
# LC_ALL && TZ workaround some test issues, but not all :\
# test are run but don't make to fail
LC_ALL=C TZ="GMT+5" %{__make} test || :

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SVN
%{_mandir}/*/*


%changelog
* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 18:07:31 (54098)
- 0.08
- disable test, are bad

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 17:42:13 (54079)
Import perl-SVN-Notify-Config

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.07-1mdv2007.0
- 0.07

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk
- buildrequires perl-YAML

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- first mdk release

